Defines | Functions | Variables

# diagradio.c File Reference

Implementation of the Radio Diagnostics Application. More...

## Defines
#define | NL "\n\r"
#define | TBLINK_PERIOD (500)
## Functions
time_t | blink (timer_arg_t t)
| Life LED timer service routine.
void | help (void)
| Print help for hotkeys.
int | main (void)
| Main function of diagradio application.
void | rdiag_init (void)
void | send_continous (void)
| Send frames permanently (next frame is triggered at TX_END_IRQ).
void | send_frame (uint8_t frmlen)
| Transmit a frame with a given payload length.
void | set_next_cca (void)
| Select CCA Mode.
void | set_next_channel (channel_t chaninc)
void | set_next_channel (int8_t chaninc)
| Increment/decrement channel.
void | set_next_pwr (int8_t pwrinc)
| Increment/decrement TX power.
void | show_statistic (bool reset)
| Display RX/TX transceiver statistic and state.
void | toggle_rxon_idle (void)
| Enable/disable mode RX_ON_IDL.
void | usr_radio_error (radio_error_t err)
| Callback for errors in radio module functions.
uint8_t * | usr_radio_receive_frame (uint8_t len, uint8_t *frm, uint8_t lqi, int8_t ed, uint8_t crc)
| Callback function for frame reception.
void | usr_radio_tx_done (radio_tx_done_t status)
| Callback function for TX_END IRQ.
## Variables
bool | conttx
statistic_t | RdiagStat
timer_hdl_t | th_blink
trx_param_t PROGMEM | trxp_flash = {chan: 13, txp: 0, cca: 1, edt: 11, clkm: 0}
uint8_t | tx_length = 42
int8_t | verbose

## Detailed Description

Implementation of the Radio Diagnostics Application.

## Function Documentation

time_t blink | ( | timer_arg_t | t | ) |

Life LED timer service routine.

void help | ( | void |  | ) |

Print help for hotkeys.

int main | ( | void |  | ) |

Main function of diagradio application.

This routine performs the initialization of the hardware modules and stays in a endless loop, which interpretes the commands, received from the host interface.

void send_continous | ( | void |  | ) |

Send frames permanently (next frame is triggered at TX_END_IRQ).

void send_frame | ( | uint8_t | seq | ) |

Transmit a frame with a given payload length.

void set_next_cca | ( | void |  | ) |

Select CCA Mode.

void set_next_channel | ( | int8_t | chaninc | ) |

Increment/decrement channel.

void set_next_pwr | ( | int8_t | pwrinc | ) |

Increment/decrement TX power.

void show_statistic | ( | bool | reset | ) |

Display RX/TX transceiver statistic and state.

void toggle_rxon_idle | ( | void |  | ) |

Enable/disable mode RX_ON_IDL.

## Variable Documentation

trx_param_t PROGMEM trxp_flash = {chan: 13, txp: 0, cca: 1, edt: 11, clkm: 0}

factory defaults of radio parameter